Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706862 - dev-util/lttng-ust-2.11.0 : fails to build with -fno-common or gcc-10
Summary: dev-util/lttng-ust-2.11.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Yixun Lan
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:25 UTC by Toralf Förster
Modified: 2020-02-17 20:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.67 KB, text/plain)
2020-01-28 18:25 UTC, Toralf Förster
Details
dev-util:lttng-ust-2.11.0:20200128-042326.log (dev-util:lttng-ust-2.11.0:20200128-042326.log,58.62 KB, text/plain)
2020-01-28 18:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,94.04 KB, text/plain)
2020-01-28 18:25 UTC, Toralf Förster
Details
environment (environment,61.57 KB, text/plain)
2020-01-28 18:25 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.17 KB, application/x-bzip)
2020-01-28 18:25 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,13.07 KB, application/x-bzip)
2020-01-28 18:26 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.16 KB, application/x-bzip)
2020-01-28 18:26 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:25:43 UTC
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng  -I../include -I../liblttng-ust-comm -I../include  -Wall -fno-strict-aliasing -O2 -pipe -march=native -fno-common -c -o ustctl.lo ustctl.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../include/lttng -I../include -I../liblttng-ust-comm -I../include -Wall -fno-strict-aliasing -O2 -pipe -march=native -fno-common -c ustctl.c  -fPIC -DPIC -o .libs/ustctl.o
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -Wall -fno-strict-aliasing -O2 -pipe -march=native -fno-common -version-info 4:0:0 -Wl,-O1 -Wl,--as-needed -o liblttng-ust-ctl.la -rpath /usr/lib64 ustctl.lo ../liblttng-ust-comm/liblttng-ust-comm.la ../liblttng-ust/liblttng-ust-support.la ../snprintf/libustsnprintf.la -ldl -lurcu-bp -lurcu-bp -lurcu-cds -lpthread 
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/ustctl.o  -Wl,--whole-archive ../liblttng-ust-comm/.libs/liblttng-ust-comm.a ../liblttng-ust/.libs/liblttng-ust-support.a ../snprintf/.libs/libustsnprintf.a -Wl,--no-whole-archive  -Wl,-rpath -Wl,//usr/lib64 -Wl,--as-needed -L=/usr/lib64 -lrt -ldl //usr/lib64/liburcu-bp.so //usr/lib64/liburcu-cds.so //usr/lib64/liburcu-common.so -lpthread  -O2 -march=native -Wl,-O1   -pthread -Wl,-soname -Wl,liblttng-ust-ctl.so.4 -o .libs/liblttng-ust-ctl.so.4.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../snprintf/.libs/libustsnprintf.a(libustsnprintf_la-core.o):(.bss+0x0): multiple definition of `ust_loglevel'; .libs/ustctl.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200125-232521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 03:26:40 +0000

emerge -qpvO dev-util/lttng-ust
[ebuild  N    ] dev-util/lttng-ust-2.11.0  USE="-examples -numa"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:25:46 UTC
Created attachment 606190 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:25:49 UTC
Created attachment 606192 [details]
dev-util:lttng-ust-2.11.0:20200128-042326.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:25:52 UTC
Created attachment 606194 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:25:54 UTC
Created attachment 606196 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:25:57 UTC
Created attachment 606198 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:26:00 UTC
Created attachment 606200 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:26:03 UTC
Created attachment 606202 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-17 20:15:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e652e01f35129b584502ac6367de13cfbf1b528c

commit e652e01f35129b584502ac6367de13cfbf1b528c
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-17 20:14:32 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-17 20:14:53 +0000

    dev-util/lttng-ust: backport gcc-10 fix, bug #706862
    
    Reported-by: Toralf Förster
    Closes: https://bugs.gentoo.org/706862
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../files/lttng-ust-2.11.0-fno-common.patch        | 47 ++++++++++++++++++++++
 dev-util/lttng-ust/lttng-ust-2.11.0.ebuild         |  4 +-
 2 files changed, 50 insertions(+), 1 deletion(-)